cURL
curl --request GET \
--url https://api.brightdata.com/zone/route_vips \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/zone/route_vips"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/zone/route_vips', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Residential IPs
Get available dedicated IPs per zone
Use the Bright Data Account Management API to get available dedicated IPs per Zone via GET /zone/route_vips, returning JSON zone or account data with 200 OK.
GET
/
zone
/
route_vips
cURL
Paste your API key to the authorization field. To get an API key, Create an account and learn how to generate an API key
Only works with residential dedicated zone
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Query Parameters
Zone Info
Response
OK
Was this page helpful?